import type { InitOptions, Callback, TFunction, TOptions, StringMap } from 'i18next';
import { I18nextConfig } from './config';
/**
 * The I18next interface is used to provide i18n functionality to components.
 * @alpha
 */
export interface I18next {
    readonly config: I18nextConfig;
    options: InitOptions;
    language: string;
    init(options: InitOptions, callback?: Callback): Promise<TFunction>;
    t(key: string | string[], options?: string | TOptions<StringMap>): string;
    changeLanguageTo(language: string): void;
}
/**
 * The default implementation for the I18next interface.
 * @public
 */
export declare class DefaultI18next implements I18next {
    config: I18nextConfig;
    language: string;
    options: InitOptions;
    constructor();
    init(options: InitOptions, callback?: Callback): Promise<TFunction>;
    t(key: string | string[], options?: string | TOptions<StringMap>): string;
    changeLanguageTo(language: string): void;
}
/**
 * The DI token for the i18n interface.
 * @internal
 */
export declare const I18next: import("@microsoft/fast-foundation").InterfaceSymbol<I18next>;
//# sourceMappingURL=i18n.d.ts.map